<?php

namespace App\Classes\Modules\Schedules\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;
use Carbon\Carbon;

class ScheduleObject implements DataTransferObject
{

    /** @var Carbon */
    private $etd;

    /** @var Carbon */
    private $eta;

    /** @var int */
    private $status;

    /**
     * ScheduleObject constructor.
     * @param Carbon $etd
     * @param Carbon $eta
     * @param int $status
     */
    public function __construct(?Carbon $etd, ?Carbon $eta, int $status)
    {
        $this->etd = $etd;
        $this->eta = $eta;
        $this->status = $status;
    }

    /**
     * @return Carbon
     */
    public function getEtd(): ?Carbon
    {
        return $this->etd;
    }

    /**
     * @return Carbon
     */
    public function getEta(): ?Carbon
    {
        return $this->eta;
    }

    /**
     * @return int
     */
    public function getStatus(): int
    {
        return $this->status;
    }


}
